<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: S4 class that represents a DataFrame column</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for Column-class {SparkR}"><tr><td>Column-class {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>S4 class that represents a DataFrame column</h2>

<h3>Description</h3>

<p>The column class supports unary, binary operations on DataFrame columns
</p>


<h3>Usage</h3>

<pre>
asc(x)

between(x, bounds)

cast(x, dataType)

contains(x, ...)

desc(x)

endsWith(x, ...)

getField(x, ...)

getItem(x, ...)

isNaN(x)

isNull(x)

isNotNull(x)

like(x, ...)

rlike(x, ...)

startsWith(x, ...)

when(condition, value)

otherwise(x, value)
</pre>


<h3>Slots</h3>


<dl>
<dt><code>jc</code></dt><dd><p>reference to JVM DataFrame column</p>
</dd>
</dl>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
